document.getElementById('workLogForm').addEventListener('submit', function (e) {
  e.preventDefault();

  const formData = {
    date: document.getElementById('date').value,
    tasks: document.getElementById('tasks').value.split('\n').filter(task => task.trim() !== ''),
    hours: parseFloat(document.getElementById('hours').value),
    notes: document.getElementById('notes').value
  };

  const jsonOutput = JSON.stringify(formData, null, 2);
  document.getElementById('jsonOutput').textContent = jsonOutput;
  document.getElementById('output').classList.remove('hidden');
});

document.getElementById('copyButton').addEventListener('click', function () {
  const jsonOutput = document.getElementById('jsonOutput').textContent;
  navigator.clipboard.writeText(jsonOutput).then(() => {
    alert('JSON copied to clipboard!');
  });
});